WorkspaceOverview

Get workspace signals home

Composes the Workspace signals-home rail: relevant districts (from saved lists or accessible territory) and recent timeline activity for those districts. **Free (0 credits).**

GET
/workspace/overview

Composes the Workspace signals-home rail: relevant districts (from saved lists or accessible territory) and recent timeline activity for those districts. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/workspace/overview"
{
  "data": {
    "source": "lists",
    "relevantDistricts": [
      {
        "id": "string",
        "name": "string",
        "state": "string",
        "student_count": 0
      }
    ],
    "recentActivity": [
      {
        "id": "string",
        "district_id": "string",
        "district_name": "string",
        "event_date": "string",
        "event_type": "string",
        "title": "string",
        "description": "string",
        "source_url": "string"
      }
    ]
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}